
import java.util.Date;
import java.util.List;

import org.hibernate.Session;
import org.hibernate.Hibernate;
import org.hibernate.Transaction;

public class SimpleRetrieveTest {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table EVENTS ( uid int, name VARCHAR, start_Date date, duration int, location_id int);");
		HibernateUtil.setup("create table locations ( uid int, name VARCHAR, address VARCHAR);");
		// hibernate code start
		Session session = HibernateUtil.currentSession();
		Transaction tx = session.beginTransaction();


        Location location = new Location();
        location.setName("USA");
        location.setAddress("Address");
        session.save(location);


        Event e= new Event();
        e.setId(11111L);
        e.setName("testSave");
        e.setStartDate(new Date());
        e.setLocation(location);
        e.setName("testSave");

		session.save(e);

        List results = session.createQuery("from Event e where e.name='testSave'").list();
		
		System.out.println(results.size());
		
		tx.commit();
		HibernateUtil.closeSession();

		HibernateUtil.sessionFactory.close();

		// hibernate code end
		
	
		HibernateUtil.checkData("select * from events;");
		

	}
}